﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using CommLib;


namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                CommLib.SerialIO c1 = new CommLib.SerialIO();
                CommLib.SerialIO c2 = new CommLib.SerialIO();

                c1.BaudRate = CommLib.BaudRateValues.Baud9600;
                c2.BaudRate = CommLib.BaudRateValues.Baud9600;
                c1.Port = PortValues.Com3;          // change here
                c2.Port = PortValues.Com4;          // change here

                short rc1 = c1.OpenComm();
                short rc2 = c2.OpenComm();

                System.Diagnostics.Debug.Write(rc1);
                System.Diagnostics.Debug.Write(rc2);

                //
                byte[] buf = System.Text.Encoding.ASCII.GetBytes("ABC");
                short rc3 = c1.Send(buf);
                System.Diagnostics.Debug.Write(rc3);

                byte[] r = new byte[3];
                short rc4 = c2.Receive(r, 3);
                System.Diagnostics.Debug.Write(rc4);
                string s = Encoding.ASCII.GetString(r); // .ToString()
                System.Diagnostics.Debug.Write(s);

                c1.CloseComm();
                c2.CloseComm();

            }
            catch(CommException ex)
            {
                System.Diagnostics.Debug.WriteLine(ex.Message);

            }
    

        }
    }
}
